function [ yes ] = Clones_OnePathF(F,K)
%Clones_OnePathF Said if the gap-free diagram contains one path
%	Clones_OnePathF(F,K)
%           F : gap-free diagram representation
%           K : custumers number
%
%	[yes] = Clones_OnePathF(F,K)
%           yes : true if F contains only one path
%
%	See also :
%               Clones_OnePath

% C. Rovetta
% 24.09.2014
% Version 1.0
%

v=(F(:,1)>-1);
yes=(sum(v,1)==K);

end

