function [ r ] = Clones_rand_ijm(PP,Nuu,E)
%PSCute_rand Produce a random couple [i j m]
%	PSCute_rand(K,M,C) 
%           P :  cumsum of the probability matrix P
%           Nu: cumsum of the normalized probability matrix Nu
%           E : vector number of server
%   [ r ] = PSCute_rand(R)
%           r : produces i, j, m randomly

% C. Rovetta
% 03.04.2015
% Version 2.0
%


rr=Clones_rand_ij(PP,Nuu);
m=randi(E(rr(1)));

r=[rr(1) rr(2) m];

end

