function [ S ] = Clones_StateSpace(C,M)
%Clones_S Compute the state space - use psi(D)
%	Clones_S(K,M,C) 
%           M : customers number
%           C : vector of capacities
%
%	[S] = Clones_S(K,M,C) 
%           S : state space matrix
%
%	See also :
%               Clones_t
%               Clones_CompleteD
%               Clones_Psi(D)

% C. Rovetta
% 30.09.2014
% Version 1.0
%


D= Clones_CompleteD(C,M);
S= Clones_Psi(D);

end

