function [ S ] = Clones_StateSpace2(K,M,C)
%Clones_StatesSpace2 Compute the entiere state space - does not use diagram
%	Clones_StatesSpace2(K,M,C) 
%           K : queues number
%           M : customers number
%           C : vector of capacities
%
%	[S] = Clones_S(K,M,C) 
%           S : state space matrix
%
%	See also :
%               Clones_StateSpace(C,M)

% C. Rovetta
% 11.09.2014
% Version 1.0
%


if(K==1)
    
    if(M>C(1))
        S=[];
        return;
    end
    
    S=M;
    
    return;
end

if(M==0)
    S=zeros(1,K);
    return;
end


% Compute S0
S0 = Clones_StateSpace2(K-1,M,C);

l=size(S0,1);
zero = zeros(l,1);
S0 = [S0 zero];


% Compute S1
S1 = Clones_StateSpace2(K,M-1,C); 
S1(:,end)= S1(:,end)+1;

Vk=(S1(:,end)>C(K));
S1(Vk,:)=[];

S=[S0;S1];


end

