function [ yes ] = Clones_OnePath(D)
%Clones_OnePath said if the diagram contains only one path
%	Clones_T(D)
%           D : diagram representation
%
%	[yes] = Clones_T(D) 
%           yes : true if D contains only one path
%
%	See also :
%               Clones_CardPsi

% C. Rovetta
% 24.09.2014
% Version 1.0
%

[mm kk]=size(D);
K=kk/mm;

v=sum(D,1);
arcN=sum(v,2);

yes=(arcN==K);


end

