%Clones_Example1 : Small network
%
% C. Rovetta
% 3.04.2015
% Version 1.1
%

clear all;
close all;

% =========================================================================
%                       Parameters
% =========================================================================

M=3; % Number of customers
C=[2 1 3 1 2]; % Capacity vector
K=size(C,2); % Number of queues

% Service rate vector for one server
Mu=ones(1,K); 
Mu(3)=5;

% Number of server vector
E=ones(1,K)*2; 
E(2)=1;
E(4)=1;

P=[0 0 1 0 0; 0.7 0 0.3 0 0 ; 0.5 0 0 0 0.5; 0 0.8 0.2 0 0; 0 0.5 0 0.5 0]; % Routing matrix


Nu=E.*Mu;
snu=sum(Nu);
Nu=Nu./snu;

PP=cumsum(P,2);
Nuu=cumsum(Nu,2);

clear snu;

ModEx1=Clones_Model('Example 1',C,E,Mu,P,M);
%print(ModEx1);

w=[1 3 5 4 2 3 5];