function [ P ] = Clones_randP_ring(K)
%CLONES_RANDP_RING Produces rand matrix of routing P for a ring network
%   K:  number of queues


P=sparse(zeros(K,K));
rp=randperm(K);

for k=1:K
    
    kk=mod(k,K)+1;
    
    P(rp(k),rp(kk))=1;
end


end

