function [ r ] = Clones_randij_ring(K,P)
%CLONES_RAND_RING Produces r=[i j] according to P
%   K:  number of queues
%   P:  routing matrix



i=randi(K);

a=1:K;
b=P(i,:);
c=a.*b;

j=sum(c);

r=[i j];
r=full(r);


