classdef Clones_S
%Clones_S Class of state space
%           mod : object Model
%

% C. Rovetta
% 11.04.2015
% Version 2.0
%

    
    properties
        Mod
        K
        M
        C
        S
        cS
    end
    
    methods
        function obj = Clones_S(mod)
            obj.Mod=mod;
            obj.K=mod.K;
            obj.M=mod.M;
            obj.C=mod.C;
            
            obj.cS= Clones_StateSpace(obj.C,obj.M);
            obj.S=obj.cS;
        end
        
        function obj=reset(obj)
            obj.S= obj.cS;
        end
        
        function obj=t(obj,r)
            obj.S=Clones_t(obj.S,obj.C,r);
        end
        
        function obj=tm(obj,r)
            obj.S=Clones_tm(obj.S,obj.C,r);
        end
        
        function card=card(obj)
            card=size(obj.S,1);
        end
        
        function print(obj)
            disp(obj.S);
        end
        
    end
    
    
end
